javax.media.nativewindow

## Enum VisualIDHolder.VIDType

- java.lang.Object
- - java.lang.Enum<VisualIDHolder.VIDType>
  - - javax.media.nativewindow.VisualIDHolder.VIDType

- All Implemented Interfaces:
    Serializable, Comparable<VisualIDHolder.VIDType>
  Enclosing interface:
    VisualIDHolder

      public static enum VisualIDHolder.VIDType
      extends Enum<VisualIDHolder.VIDType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EGL_CONFIG`
    `INTRINSIC`
    `NATIVE`
    `WIN32_PFD`
    `X11_FBCONFIG`
    `X11_XVISUAL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VisualIDHolder.VIDType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static VisualIDHolder.VIDType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTRINSIC

          public static final VisualIDHolder.VIDType INTRINSIC

    - #### NATIVE

          public static final VisualIDHolder.VIDType NATIVE

    - #### EGL_CONFIG

          public static final VisualIDHolder.VIDType EGL_CONFIG

    - #### X11_XVISUAL

          public static final VisualIDHolder.VIDType X11_XVISUAL

    - #### X11_FBCONFIG

          public static final VisualIDHolder.VIDType X11_FBCONFIG

    - #### WIN32_PFD

          public static final VisualIDHolder.VIDType WIN32_PFD

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static VisualIDHolder.VIDType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VisualIDHolder.VIDType c : VisualIDHolder.VIDType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VisualIDHolder.VIDType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright 2010 JogAmp Community.